com.aliyun.svideosdk.common.struct.template

## Enum AliyunTemplateParam.Type

- java.lang.Object
- - java.lang.Enum<AliyunTemplateParam.Type>
  - - com.aliyun.svideosdk.common.struct.template.AliyunTemplateParam.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunTemplateParam.Type>
  Enclosing class:
    AliyunTemplateParam

      public static enum AliyunTemplateParam.Type
      extends java.lang.Enum<AliyunTemplateParam.Type>

  模板参数类型

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `image`
    `text`
    `video`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunTemplateParam.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunTemplateParam.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### text

          public static final AliyunTemplateParam.Type text

    - #### image

          public static final AliyunTemplateParam.Type image

    - #### video

          public static final AliyunTemplateParam.Type video

  - ### Method Detail

    - #### values

          public static AliyunTemplateParam.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunTemplateParam.Type c : AliyunTemplateParam.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunTemplateParam.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null